<template>
    <div>
        <div>Greetings to {{ username }}</div>
        <input type="text" v-model="input.username" placeholder="Name" />
        <button v-on:click="sendData()">Send</button>
    </div>
</template>

<script>
    import axios from 'axios';

    export default {
        name: 'Greeter',
        data () {
            return {
                username: '',
                input: {
                    username: ''
                }
            }
        },
        mounted() {
        },
        methods: {            
            sendData() {                
                axios({ method: 'GET', url: 'https://d-sp13.devlef.campus.rwth-aachen.de/coscine/api/api-demo/home/greet/' + this.input.username }).then(result => {
                        this.username = result.data.username;
                }, error => {
                        console.error(error);
                });
            }
        }
    }
</script>